
Redmine - Defect #16378

Revision hyperlink hyphen bug

2014-03-18 15:28 - Ksenia Altbregen

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I use svn, but I suppose it does not matter for this bug.

I've merged a sequence of revisions (from 1415 to 1420) to some branch.

I've added a message with the revision numbers like this:

svn commit . -m "Merging r1415-1420 to some branch." 

Now while everything is as it should to be in svn log:

------------------------------------------------------------------------

r1422 | kaltbregen | 2014-03-06 16:51:20 +0400 (Thu, 06 Mar 2014) | 1 line

Merges r1415-1420 from redmine-2.4.1-staging

------------------------------------------------------------------------

In the web (projects/project_name/repository/revisions/1422) it is:

 web_bug.png 

And though this is is a clickable hyperlink to projects/project_name/repository/revisions/1415, it should not hide hyphen and second

number at all.

History

#1 - 2014-03-22 18:37 - Alain Alain091

could you use some different separator like comma , or dot . ?

#2 - 2014-03-22 19:40 - Ksenia Altbregen

Of corse I can. But that is not a solution.

#3 - 2014-03-23 18:34 - Alain Alain091

The regexp to analyse the version tags is complicated and it is dangerous to modify this rule (due to side effects) for a feature and not a real defect.

the regexp seems more inclined to analyse version separated by something different to hyphen and if hyphen could be avoided why do we have to

break the working regexp.

#4 - 2014-04-13 07:10 - Toshi MARUYAMA

- Category set to SCM

Files

web_bug.png 9.6 KB 2014-03-18 Ksenia Altbregen
